javax.jms

## Interface MessageListener

    public interface MessageListener

A `MessageListener` object is used to receive asynchronously delivered messages.

Each session must insure that it passes messages serially to the listener. This means that a listener assigned to one or more consumers of the same session can assume that the `onMessage` method is not called with the next message until the session has completed the last call.

### Method Summary

Methods
`void` `onMessage(Message message)` Passes a message to the listener.

### Method Detail

#### onMessage

    void onMessage(Message message)

Passes a message to the listener.

Parameters:
  `message` - the message passed to the listener